#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

#include <xosd-xft.h>

xosd_xft *osd;

int main (int argc, char *argv[])
{
    osd_geometry g;

    osd = osd_create(1);
    if (osd_parse_geometry("100%x100%+0+0*middle/center", "center/middle", &g) == NULL)
    {
        fprintf(stderr, "%s\n", osd_error);
        return EXIT_FAILURE;
    }
    osd_set_geometry(osd, &g);
    osd_set_font(osd, "mono:size=16");
    osd_set_textcolor(osd, "red", 100);
    osd_set_bgcolor(osd, "black", 0);
    osd_set_shadowcolor(osd, "lightblue", 100);
    osd_set_shadowoffset(osd, 3, 2);

    char* message = "Hello world";
    osd_display(osd, message, strlen(message));

    usleep(1000000);
    osd_destroy(osd);
    return EXIT_SUCCESS;
}
